l
<template>
    <div class="pd10">
        <el-row>
            <el-col>
                <el-tabs v-model.trim="activeName" @tab-click="handleClick" type="border-card">
                    <el-tab-pane label="区域报告" name="first" :style="'height:' + vh + ';'">
                        <Regionalreports></Regionalreports>
                    </el-tab-pane>
                </el-tabs>
            </el-col>
        </el-row>
    </div>
</template>
<script>
// import * as echarts from "echarts";
import Regionalreports from './components/regionalreports/regionalreports.vue'
export default {
    name: 'areareport',
    components: { Regionalreports },
    data() {
        return {
            vh: '',
            zoom: '',
            activeName: 'first',
            form: {
                checkbox: ''
            },
            device: ''
        }
    },
    created() {},
    mounted() {
        this.setHeight()
        window.addEventListener('resize', this.setHeight)
    },

    beforeDestroy() {
        window.removeEventListener('resize', this.setHeight)
    },
    methods: {
        setHeight() {
            this.device = window.devicePixelRatio
            this.vh = window.sessionStorage.getItem('appheight') - 50 + 'px'
        },
        changeFn() {
            // console.log(this.form.checkbox);
        },

        handleClick(tab, event) {
            // console.log(tab, event);
        }
    }
}
</script>
<style lang="less" scoped>
@import url('../../../styles/comStyle.less');
::v-deep .el-table .cell {
    text-align: center;
}
::v-deep .el-tabs--border-card > .el-tabs__content {
    padding: 0;
}
::v-deep .el-form-item {
    margin-bottom: 5px;
}
</style>
